//+------------------------------------------------------------------+
//|                                                    strategy1.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                                   filon@inbox.lv |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "filon@inbox.lv"

//      +  
//   .    - 10$
int newSL=0;
extern int Stoch1=5; //   
extern int Stoch2=4; //   
extern int Stoch3=5; //   
extern int moveSL=1; // 0,  SL    
extern double returnpercent=80; //      
extern double candlesize=10; //     ( open  close)
extern double zeroSL=10; //   SL    (  moveSL=1)
extern double SLTPkoef=2; //   TP  SL
extern double SL=10;
extern double Suplimit=20; //       
extern double Sdownlimit=80; //       
                                      
int init()
  {

   return(0);
  }

int deinit()
  {

   return(0);
  }

int start()
  {
   int ticket;    
         
   double SS_1=iStochastic(0,PERIOD_M5,Stoch1,Stoch2,Stoch3,MODE_LWMA,1,MODE_SIGNAL,1);   
   double SS_2=iStochastic(0,PERIOD_M5,Stoch1,Stoch2,Stoch3,MODE_LWMA,1,MODE_SIGNAL,2);   
   
   double candle1up=iOpen(0,PERIOD_M5,1)<iClose(0,PERIOD_M5,1);
   double candle1down=iOpen(0,PERIOD_M5,1)>iClose(0,PERIOD_M5,1);
   double candle2up=iOpen(0,PERIOD_M5,2)<iClose(0,PERIOD_M5,2);
   double candle2down=iOpen(0,PERIOD_M5,2)>iClose(0,PERIOD_M5,2);   
   double candle1size=MathAbs(10000*(iOpen(0,PERIOD_M5,1)-iClose(0,PERIOD_M5,1)));
   double candle2size=MathAbs(10000*(iOpen(0,PERIOD_M5,2)-iClose(0,PERIOD_M5,2)));
           
   if((OrdersTotal()<1))
      {
        newSL=0;
        if(Hour()>=1)
          {            
            if((candle2down)&&(candle1up)&&((candle1size/candle2size)*100>returnpercent)&&(candle2size>candlesize)&&(SS_1<Suplimit))
               {
                  RefreshRates();                             
                  ticket=OrderSend(Symbol(),OP_BUY,NormalizeDouble(1/SL,2),Ask,10,Ask-SL*10*Point,Ask+SL*SLTPkoef*10*Point,"buy_order",1,0,Green);
               }            
            if((candle2up)&&(candle1down)&&((candle1size/candle2size)*100>returnpercent)&&(candle2size>candlesize)&&(SS_1>Sdownlimit))
               {
                  RefreshRates();                  
                  ticket=OrderSend(Symbol(),OP_SELL,NormalizeDouble(1/SL,2),Bid,10,Bid+SL*10*Point,Bid-SL*SLTPkoef*10*Point,"sell_order",2,0,Red);
               }   
          }
      }
  
   if((OrdersTotal()>=1)&&(newSL==0)&&(moveSL==1))
      {
        if(OrderSelect(0,SELECT_BY_POS,MODE_TRADES))
          {
            if(OrderType()==OP_BUY)
              {
               RefreshRates();
               if((OrderOpenPrice()+zeroSL*10*Point)<Ask)
                  {
                  OrderModify(OrderTicket(),OrderOpenPrice(),OrderOpenPrice(),OrderTakeProfit(),0,Red);
                  newSL=1;
                  }
              }
              if(OrderType()==OP_SELL)
              {
               RefreshRates();
               if((OrderOpenPrice()-zeroSL*10*Point)>Bid)
                  {
                  OrderModify(OrderTicket(),OrderOpenPrice(),OrderOpenPrice(),OrderTakeProfit(),0,Blue);
                  newSL=1;
                  }
              }    
          }  
      }

   return(0);
  }
//+------------------------------------------------------------------+